javax.faces.view.facelets

## Class TagAttributes

- java.lang.Object
- - javax.faces.view.facelets.TagAttributes

-     public abstract class TagAttributes
      extends Object

  A set of TagAttributes, usually representing all attributes on a Tag.

  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagAttributes()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract TagAttribute` | `get(String localName)` Using no namespace, find the TagAttribute
    `abstract TagAttribute` | `get(String ns, String localName)` Find a TagAttribute that matches the passed namespace and local name.
    `abstract TagAttribute[]` | `getAll()` Return an array of all TagAttributes in this set
    `abstract TagAttribute[]` | `getAll(String namespace)` Get all TagAttributes for the passed namespace
    `abstract String[]` | `getNamespaces()` A list of Namespaces found in this set
    `Tag` | `getTag()` A reference to the Tag for which this class represents the attributes.
    `void` | `setTag(Tag tag)` Set a reference to the Tag for which this class represents the attributes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagAttributes

          public TagAttributes()

  - ### Method Detail

    - #### getAll

          public abstract TagAttribute[] getAll()

      Return an array of all TagAttributes in this set
      Returns:
        a non-null array of TagAttributes

    - #### get

          public abstract TagAttribute get(String localName)

      Using no namespace, find the TagAttribute
      Parameters:
        `localName` - tag attribute name
      Returns:
        the TagAttribute found, otherwise null
      See Also:
        `get(String, String)`

    - #### get

          public abstract TagAttribute get(String ns,
                         String localName)

      Find a TagAttribute that matches the passed namespace and local name.
      Parameters:
        `ns` - namespace of the desired attribute
        `localName` - local name of the attribute
      Returns:
        a TagAttribute found, otherwise null

    - #### getAll

          public abstract TagAttribute[] getAll(String namespace)

      Get all TagAttributes for the passed namespace
      Parameters:
        `namespace` - namespace to search
      Returns:
        a non-null array of TagAttributes

    - #### getNamespaces

          public abstract String[] getNamespaces()

      A list of Namespaces found in this set
      Returns:
        a list of Namespaces found in this set

    - #### getTag

          public Tag getTag()

      A reference to the Tag for which this class represents the attributes. For compatibility with previous implementations, an implementation is provided that returns `null`.

      Returns:
        the `Tag` for which this class represents the attributes.
      Since:
        2.2

    - #### setTag

          public void setTag(Tag tag)

      Set a reference to the Tag for which this class represents the attributes. The VDL runtime must ensure that this method is called before any `FaceletHandler`s for this element are instantiated. For compatibility with previous implementations, a no-op implementation is provided.

      Since:
        2.2

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.